{#- For name header -#}
#ifndef {{ name|upper }}_LAYER_H
#define {{ name|upper }}_LAYER_H

/* ElemWise - mul layer */
{% include "./_def_io.jinja" %}
{% include "./_meminfo.jinja" %}

{# For layer configuration -#}
#define {{ name|upper }}_OUTPUTS_SIZE {{ out_size[0] }}

#define {{name|upper}}_IN_0_NB_DIMS {{ in_dims[0]|length}}
#define {{name|upper}}_IN_1_NB_DIMS {{ in_dims[1]|length}}
#define {{name|upper}}_OUT_0_NB_DIMS {{ out_dims[0]|length}}

static const int {{name|upper}}_IN_0_DIMS[] = { {{ in_dims[0]|join(", ") }} };
static const int {{name|upper}}_IN_1_DIMS[] = { {{ in_dims[1]|join(", ") }} };
static const int {{name|upper}}_OUT_0_DIMS[] = { {{ out_dims[0]|join(", ") }} };

#endif /* {{ name|upper }}_LAYER_H */
